/* See newsAlert.js for license.*/

var providerName     = "cnn"
var providerURL      = "http://cnn.com"
var providerInterval = 5

function parseNews(raw) {
    var start = raw.indexOf("<div class=\"cnnMainT1Headline\"");
    var end   = raw.substr(start).indexOf("<br clear=\"all\">");
    
    if (start == -1 || end == -1)
        return "";

    var news = raw.slice(start,end);

    if (news.length == 0) {
        debug("no updates for cnn" + " " + start + " " + end);
        return "";
    }

    var header = "<html><head><title>CNN News Alert!</title><base href=\"http://cnn.com/\"><base target=\"_blank\"></head>"
    var footer = "<center><form><input type=button value=\"Close\"onClick=\"window.close()\"></form></center>"

    return header + news + footer;
}
